package com.sharix.sportsmanfriend

import android.content.Context
import android.util.Log
import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.lifecycleScope
import com.sharix.sportsmanfriend.repository.XMPPRepository
import com.sharix.sportsmanfriend.viewmodel.XMPPViewModel
import kotlinx.coroutines.*
import kotlinx.coroutines.future.asCompletableFuture
import kotlinx.coroutines.future.future
import java.util.concurrent.CompletableFuture

class XMPPTestClass {
    private val xmppRepository: XMPPRepository = XMPPRepository()

    public fun login(jid: String, password: String, room: String){
        xmppRepository.login(jid, password)
        xmppRepository.messageListener(room, 20)
    }

    public fun sendMessage(msg: String) {
        xmppRepository.sendMessage(msg)
    }
}