package com.sharix.sportsmanfriend.model;

import com.google.gson.annotations.SerializedName;

public class Event {
    @SerializedName("order_synced")
    private int order_synced;

    @SerializedName("resource_id")
    private int resource_id;

    @SerializedName("rating_id")
    private int rating_id;

    @SerializedName("attempts")
    private int attempts;

    @SerializedName("order_place_type")
    private String order_place_type;

    @SerializedName("order_place_start")
    private String order_place_start;

    @SerializedName("order_place_start_gps")
    private String order_place_start_gps;

    @SerializedName("order_place_start_sector")
    private int order_place_start_sector;

    @SerializedName("order_place_start_real")
    private String order_place_start_real;

    @SerializedName("order_place_start_real_gps")
    private String order_place_start_real_gps;

    @SerializedName("order_place_finish_predicted")
    private String order_place_finish_predicted;

    @SerializedName("order_place_finish_predicted_gps")
    private String order_place_finish_predicted_gps;

    @SerializedName("order_place_finish_sector")
    private int order_place_finish_sector;

    @SerializedName("order_place_finish_real")
    private String order_place_finish_real;

    @SerializedName("order_place_finish_real_gps")
    private String order_place_finish_real_gps;

    @SerializedName("sport")
    private int sport;

    @SerializedName("host")
    private int host;

    @SerializedName("required_gender")
    private String required_gender;

    @SerializedName("description")
    private String description;

    @SerializedName("time_updated")
    private String time_updated;

    @SerializedName("time_close")
    private String time_close;

    @SerializedName("max_participants")
    private int max_participants;

    @SerializedName("min_participants")
    private int min_participants;

    @SerializedName("max_age")
    private int max_age;

    @SerializedName("min_age")
    private int min_age;

    @SerializedName("max_level")
    private float max_level;

    @SerializedName("min_level")
    private float min_level;

    @SerializedName("is_public")
    private boolean is_public;
}
