package com.sharix.sportsmanfriend.model;

import com.google.gson.annotations.SerializedName;

public class Order {
    @SerializedName("id")
    private int id;

    @SerializedName("state")
    private String state;

    @SerializedName("id_metaservice")
    private int id_metaservice;

    @SerializedName("time_created")
    private String time_created;

    @SerializedName("time_placed")
    private String time_placed;

    @SerializedName("time_start")
    private String time_start;

    @SerializedName("time_start_real")
    private String time_start_real;

    @SerializedName("time_start_predicted")
    private String time_start_predicted;

    @SerializedName("time_finish_predicted")
    private String time_finish_predicted;

    @SerializedName("time_finish_real")
    private String time_finish_real;

    @SerializedName("predicted_price")
    private int predicted_price;

    @SerializedName("real_price")
    private int real_price;

    @SerializedName("is_global")
    private boolean is_global;

    @SerializedName("is_visible")
    private boolean is_visible;

    @SerializedName("service")
    private int service;

    @SerializedName("service_type")
    private int service_type;

    @SerializedName("provider")
    private int provider;

    @SerializedName("receiver")
    private int receiver;

    @SerializedName("client_id")
    private int client_id;

    @SerializedName("ticket")
    private int ticket;

    public Order(int _id, String _state, int _id_metaservice, String _time_created, String _time_placed, String _time_start, String _time_start_real,
                 String _time_start_predicted, String _time_finish_real, int _predicted_price, int _real_price, boolean _is_global, boolean _is_visible,
                 int _service, int _service_type, int _provider, int _receiver, int _client_id, int _ticket){
        id = _id;
        state = _state;
        id_metaservice = _id_metaservice;
        time_created = _time_created;
        time_placed = _time_placed;
        time_start = _time_start;
        time_start_real = _time_start_real;
        time_start_predicted = _time_start_predicted;
        time_finish_real = _time_finish_real;
        predicted_price = _predicted_price;
        real_price = _real_price;
        is_global = _is_global;
        is_visible = _is_visible;
        service = _service;
        service_type = _service_type;
        provider = _provider;
        receiver = _receiver;
        client_id = _client_id;
        ticket = _ticket;
    }

    public int getId(){
        return id;
    }
}
