package com.sharix.sportsmanfriend.view;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;

import androidx.appcompat.app.AppCompatActivity;

import com.sharix.sportsmanfriend.R;
import com.sharix.sportsmanfriend.SharedPreferencesHelperClass;

public class LauncherActivity extends AppCompatActivity {
    boolean userIsLoggedIn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_launcher);

        if(SharedPreferencesHelperClass.getBoolVar(getApplicationContext(), "userIsLoggedIn")){
            new Handler().postDelayed(() -> {
                Intent intent = new Intent(LauncherActivity.this, MainActivity.class);
                startActivity(intent);
                finish();
            }, 1000);
        } else {
            new Handler().postDelayed(() -> {
                Intent intent = new Intent(LauncherActivity.this, SingInSingUpActivity.class);
                startActivity(intent);
                finish();
            }, 1000);
        }
    }
}