package com.sharix.sportsmanfriend.view;

import android.content.Intent;
import android.os.Bundle;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.sharix.sportsmanfriend.R;
import com.sharix.sportsmanfriend.SharedPreferencesHelperClass;
import com.sharix.sportsmanfriend.XMPPTestClass;
import com.sharix.sportsmanfriend.requests.HTTPRequest;

import java.util.Objects;

public class SingInSingUpActivity extends AppCompatActivity {

    private Button btnSingIn, btnTest;
    private EditText EDPhone, EDPassword;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_singinsingup);

        btnSingIn = findViewById(R.id.btnSingIn);
        btnTest = findViewById(R.id.btnTest);
        EDPhone = findViewById(R.id.phoneED);
        EDPassword = findViewById(R.id.passwordED);

        EDPhone.setText("99999999999");
        EDPassword.setText("Pa$$w0rd2");

        btnSingIn.setOnClickListener(view -> {
            HTTPRequest httpRequest = new HTTPRequest(this);
            String response = httpRequest.login(EDPhone.getText().toString(), EDPassword.getText().toString());
            if (Objects.equals(response, "Ошибка")){
                Toast.makeText(getApplicationContext(), "Не правильный логин или пароль", Toast.LENGTH_LONG).show();
            } else {
                SharedPreferencesHelperClass.setBoolVar(getApplicationContext(), "userIsLoggedIn", true);
                SharedPreferencesHelperClass.setStringVar(getApplicationContext(), "token", response);
                SharedPreferencesHelperClass.setStringVar(getApplicationContext(), "userLogin", EDPhone.getText().toString());
                SharedPreferencesHelperClass.setStringVar(getApplicationContext(), "userPassword", EDPassword.getText().toString());
                Intent intent = new Intent(SingInSingUpActivity.this, MainActivity.class);
                startActivity(intent);
                finish();
            }
        });

        btnTest.setOnClickListener(v -> {
           /* HTTPRequest httpRequest = new HTTPRequest(this);
            httpRequest.makeEvent();*/

            XMPPTestClass xmppTestClass = new XMPPTestClass();
            xmppTestClass.login("99999999999@ej.sharix-app.org", "Pa$$w0rd2",
                    "room1@chat.ej.sharix-app.org");
            xmppTestClass.sendMessage("z t,e cj,fr");

        });
    }

}